> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Contacts

<Note>
  This only works for static lists!
</Note>

## Request

#### Body

<ParamField path="companyContacts" type="array">
  <Expandable title="companyContact properties">
    <ResponseField name="company" type="object" required>
      <Expandable title="company properties">
        <ResponseField name="companyNumber" type="string" required>
          * Belgium: Enterprise (KBO) number. This is equal to the VAT without 'BE'.
          * The Netherlands: KVK number.
          * France: SIREN number.
        </ResponseField>

        <ResponseField name="countryCode" type="string" required>
          countryCode can be either `BE`, `NL` or `FR`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="contacts" type="array" required>
      <Expandable title="contact properties">
        <ResponseField name="contactId" type="string" required>
          contactId is the unique identifier you get from the contacts endpoint.
        </ResponseField>
      </Expandable>

      <Note>
        You can add up to 50 contacts per company to a list at once.
      </Note>
    </ResponseField>
  </Expandable>

  <Note>
    You can add contacts of up to 100 companies to a list at once.
  </Note>
</ParamField>

<ResponseExample>
  ```json Response - 200 theme={null}
  {
    "success": true,
    "message": "Successfully added 99 contacts to the list",
    "failed": [
      {
        "companyIdentifier": {
          "country": "BE",
          "companyNumber": "770493071",
        },
        "contacts": [ // Example error contacts
          {
            "contactIdentifier": {
              "contactId": "123",
            },
            "message": "Contact not found"
          }
        ],
        "message": null
      },
      {
        "companyIdentifier": { // Example error company
          "country": "BE",
          "companyNumber": "123",
        },
        "contacts": null,
        "message": "Company not found"
      }
    ]
  }
  ```
</ResponseExample>
